Android Studio 受不了了

今天遇到一个问题,受不了了,来吐槽一下:

Android Studio 里面创建两个工程:app, baselib。一个是App 一个是库。编译不过去。

targetSdkVersion 26

implementation 'com.android.support:appcompat-v7:26.0+'

这两个都是对的。只是 App 中

minSdkVersion 18

baselib 中 minSdkVersion 19

 

这样死活编译不过去。

从来没想过这两个 minSdkVersion 需要一样。后来改成一样的,就编译过了。

 

受不了了,Android support 库真的垃圾,用版本号来区别,版本号要跟 targetSdkVersion 一样这什么鬼。没想到跟 minSdkVersion 还有关系。

 

文档又是啥都不写,都是要靠自己一遍遍试出来。

 

Google 和 Android 自带的光环可以破灭了。到目前为止不能理解 android support 库 是个什么鬼。我承认我自己可能智商低了理解不了,官方文档是不是也有问题,让人难以理解。

Android Studio 受不了了

全文结束